/** Copyright (c) 2018 Uber Technologies, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @flow
 */

/*::
import type {DeferredState, SyncState} from "./shared-state-containers.js";

export type ClientChunkMetadata = {
  fileManifest: Map<string, Set<number>>,
  urlMap: Map<number, Map<string, string>>,
  criticalPaths: Array<string>,
  criticalIds: Array<number>,
  chunks: Map<number | string, string>,
  runtimeChunkIds: Set<number | string>,
  initialChunkIds: Set<number | string>,
};
export type ClientChunkMetadataState = DeferredState<ClientChunkMetadata>;

export type TranslationsManifest = Map<string, Set<string>>;
export type TranslationsManifestState = DeferredState<TranslationsManifest>;

export type LegacyBuildEnabledState = SyncState<boolean>;
*/
