/** Copyright (c) 2018 Uber Technologies, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @flow
 */
/*::
import {CriticalChunkIdsToken, RoutePrefixToken, RouteTagsToken} from 'fusion-core';
import type {Context} from 'fusion-core';

export type AssetsDepsType = {
  RouteTags: typeof RouteTagsToken,
};
export type AssetsType = void;

export type SSRBodyTemplateDepsType = {
  criticalChunkIds: typeof CriticalChunkIdsToken.optional,
  routePrefix: typeof RoutePrefixToken.optional,
};
export type SSRBodyTemplateType = Context => string;

export type SSRShellTemplateDepsType = {
  criticalChunkIds: typeof CriticalChunkIdsToken.optional,
  routePrefix: typeof RoutePrefixToken.optional,
};
export type SSRShellTemplateType = Context => {
  start: string,
  end: string,
  scripts: Array<string>,
  useModuleScripts: boolean,
};

export type ServerErrorDepsType = {};
export type ServerErrorType = void;

export type CriticalChunkIdsDepsType = {};
export type CriticalChunkIdsType = {from: Context => Set<number>};

export type ContextDepsType = {};
export type ContextType = void;
*/
